Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Alarm
GETAlarmSince 4.1.0SynchronousAuth Required

Query Alarm Records

Query Alarm Records

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. See error for details.

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error.

    • detailsStringRequired

      Detailed information about the error.

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error.

  • histogramsListRequired

    No description provided.

Endpoint

GET/zstack/v1/zwatch/alarm-records

/zstack/v1/zwatch/alarm-records

Operation ID

QueryAlarmRecord

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alarm-records' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "createTime": 1.510669257141E12, "accountUuid": "ce8e0ae7bfb93fb09c3339443fb79b5a", "alarmName": "ZStack Primary Storage Physical Available Capacity Alarm", "alarmStatus": "Alarm", "alarmUuid": "701f9528318737bb9db81c4f9b5721a7", "comparisonOperator": "LessThan", "context": "{\"PrimaryStorageType\":\"LocalStorage\"}", "dataUuid": "2e6afdb668443ef9a9a82fcba794d21b", "emergencyLevel": "Emergent", "metricName": "AvailablePhysicalCapacityInPercent", "metricValue": 20.0, "namespace": "ZStack/PrimaryStorage", "period": 600.0, "readStatus": false, "resourceUuid": "8a596bd1689c3e83a408c2713d99fc6e", "threshold": 21.0 } ] }

Change History

This API has no change history records yet.

View all change history